cURL
curl --request GET \
--url https://backend.tensorpix.ai/api/v2/tensorshots/jobs/image-to-video/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/tensorshots/jobs/image-to-video/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/tensorshots/jobs/image-to-video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"status": "queued",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"cost_credits": "<string>",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"real_estate_shot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"style_settings": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"model_name": "hexal_standard_t2v",
"model_config": "<unknown>",
"start_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"last_frame": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"requested_resolution": "<string>",
"requested_video_duration": 123
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}v2
Get apiv2tensorshotsjobsimage to video
List all image-to-video jobs or create a new job for the authenticated user.
GET
/
api
/
v2
/
tensorshots
/
jobs
/
image-to-video
/
cURL
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Was this page helpful?
⌘I